指定径向尺寸的尺寸线隐含。 支持的平台:仅窗口 属性值只读:不 类型:布尔
言论此属性的初始值为。False 如果此属性设置为 ,则禁止显示延长线和文本之间的尺寸线和箭头。True 注意:此属性将覆盖 DIMSD2 系统变量的值。
例子工 务 局: Sub Example_DimLineSuppress() ' This example creates a Radial Dimension in model space and ' uses the DimLineSuppress property to toggle the display ' of the dimension lines Dim dimObj As AcadDimRadial Dim center(0 To 2) As Double Dim chordPoint(0 To 2) As Double Dim leaderLen As Integer ' Define the dimension center(0) = 0: center(1) = 0: center(2) = 0 chordPoint(0) = 5: chordPoint(1) = 5: chordPoint(2) = 0 leaderLen = 5 ' Create the radial dimension in model space Set dimObj = ThisDrawing.ModelSpace.AddDimRadial(center, chordPoint, leaderLen) ThisDrawing.Application.ZoomAll MsgBox "The radial dimension has been created.", vbInformation dimObj.DimLineSuppress = Not (dimObj.DimLineSuppress) ThisDrawing.Application.ZoomAll MsgBox "The radial dimension appearance has been modified.", vbInformation End Sub Visual LISP: (vl-load-com) (defun c:Example_DimLineSuppress() ;; This example creates a Radial Dimension in model space and ;; uses the DimLineSuppress property to toggle the display ;; of the dimension lines (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq center (vlax-3d-point 0 0 0) chordPoint (vlax-3d-point 5 5 0) leaderLen 5) ;; Create the radial dimension in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimRadial modelSpace center chordPoint leaderLen)) (vla-ZoomAll acadObj) (alert "The radial dimension has been created.") (vla-put-DimLineSuppress dimObj (if (= (vla-get-DimLineSuppress dimObj) :vlax-true) :vlax-false :vlax-true)) (vla-ZoomAll acadObj) (alert "The radial dimension appearance has been modified.") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:11
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.